import { createSSRApp } from "vue";
import App from "./App.vue";
// 引入全局 mixin（可选）
// import globalMixin from '@/mixins/globalMixin'
import zpMixins from '@/uni_modules/zp-mixins/index.js';
import store from "@/store/index";
import Cache from "@/utils/cache";

export function createApp() {
	const app = createSSRApp(App);
	// 注册全局 mixin（可选）
	app.mixin(zpMixins);
	app.use(store);
	// 将Cache设置为全局属性
	app.config.globalProperties.$cache = Cache;
	
	return {
		app,
		store
	};
}
